# Generated automatically from Makefile.in by configure.
# Library Makefile for GNU Smalltalk
# Copyright 1988-92, 1994-95, 1999, 2000 Free Software Foundation, Inc.
# Written by Steve Byrne

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# $Revision: 1.7.5$

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
VPATH = .

PROGS = gst.exe
MAINTAINER = bonzini@gnu.org

# Older makes don't set $(MAKE), so we set it for them.


# Programs - Use cp if you don't have install.
SCHEDULER = cat
INSTALL = /dev/env/DJDIR/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_INFO = install-info
MAKEINFO = makeinfo
AUTOHEADER = autoheader
AUTOCONF = autoconf
CC = gcc
AR = ar
RANLIB = ranlib
BISON = bison


# Platform-dependent definitions
PLATFORM = msdos
EXE=.exe
RM = rm -f


# other definitions
ALLOCA = 
GST_TAB = gst_tab
ICON = 
DEFS = -DHAVE_CONFIG_H
LIBS = -lsocket -lm  -lreadline 
TCL_LIBS = 
USER_OBJECTS = 
TARGET = all
BASE_NAME = smalltalk-$(VERSION)

# These control the distribution version
VERSION= 1.7.5
ST_MAJOR_VERSION = 1
ST_MINOR_VERSION = 7
ST_EDIT_VERSION  = 5
ST_EDIT_PREFIX   = @ST_EDIT_PREFIX@


# Program flags
LIBOBJS =  obstack.o
DLD_MODULE = dld_none
OPT_LEVEL = 2
OPT_CFLAGS = -O$(OPT_LEVEL) -DOPTIMIZE
CDEBUG = -g
INCLUDES= -I$(srcdir) -I$(srcdir)/.. $(USER_INCLUDES)
CPPFLAGS = 
CFLAGS = -Os # $(INCLUDES)
LDFLAGS =  $(USER_LDFLAGS)
X_CFLAGS = 
GCC_OPT_CFLAGS = -fno-inline-functions -fomit-frame-pointer -fno-unroll-loops
GCC_CFLAGS =  


# Paths given by autoconf
prefix = /dev/env/DJDIR
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
datadir = ${prefix}/share
mandir = ${prefix}/man
infodir = ${prefix}/info
includedir = ${prefix}/include
oldincludedir = /usr/include
X_LIBS = 
X_EXTRA_LIBS = 
X_PRE_LIBS = 
LDPATH =  

# Other paths we use
smlibdir = $(libdir)
stdir = /dev/env/DJDIR/share/gnu-smalltalk/kernel/..
IMAGE_PATH=/dev/env/DJDIR/share/gnu-smalltalk
KERNEL_PATH=/dev/env/DJDIR/share/gnu-smalltalk/kernel

#### End of system configuration section. ####

MDEFINES = bindir='$(bindir)' libdir='$(libdir)' mandir='$(mandir)' \
       INSTALL='$(INSTALL)' INSTALLDATA='$(INSTALLDATA)' \
       LIBS='$(LIBS)' LDPATH='$(LDPATH)' LIBPROGS='$(LIBPROGS)' \
       MAKE='$(MAKE)' \
       AR='$(AR)' RANLIB='$(RANLIB)' \
       BISON='$(BISON)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' \
       CC='$(CC)' INCLUDES='$(INCLUDES)' DEFS='$(DEFS)' CDEBUG='$(CDEBUG)' \
       GCC_CFLAGS='$(GCC_CFLAGS)' OPT_CFLAGS='$(OPT_CFLAGS)' \
       GCC_OPT_CFLAGS='$(GCC_OPT_GFLAGS)' GST_TAB='$(GST_TAB)' RM='$(RM)'


GENERIC_CC = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES) $(GCC_CFLAGS) $(CFLAGS) $(CDEBUG) 

.c.o: 
	$(GENERIC_CC) $<





.PHONY : mostlyclean clean distclean maintainer-clean do-mantainer-clean all

all: libgst.a


OBJECTS = lib.o		$(GST_TAB).o	lex.o		str.o    \
	tree.o		byte.o		interp.o	alloc.o  \
	comp.o	 	sym.o		dict.o		oop.o    \
	save.o		cint.o 		sysdep.o	callin.o \
	cfuncs.o	$(LIBOBJS)	$(USER_OBJS) 	$(ALLOCA)     \
	dld_gst.o	$(DLD_MODULE).o	dynamic.o	obstack.o



INLINES = oop.inl dict.inl interp.inl prims.inl bytecode.inl

SOURCES = lib.c	    $(GST_TAB).c  lex.c       str.c      alloc.c   \
	tree.c      byte.c        interp.c    comp.c 		   \
	sym.c       dict.c   	  oop.c       save.c     cint.c    \
	sysdep.c    callin.c 	  cfuncs.c    strdup.c   putenv.c  \
	dld_gst.c   dld_libdl.c	  dld_win32.c dld_hpux.c dld_gnu.c \
	dld_ltdl.c  dld_none.c	  dynamic.c   obstack.c

HEADERS = gst.h lib.h $(GST_TAB).h lex.h str.h \
	tree.h byte.h interp.h comp.h memzero.h \
	sym.h dict.h oop.h save.h cint.h dynamic.h \
	sysdep.h callin.h gstpub.h alloc.h dld_gst.h \
	obstack.h

DISTFILES = $(SOURCES) $(HEADERS) $(INLINES) gst.y Makefile.in alloca.c


libgst.a: $(OBJECTS)
	-$(RM) $@
	$(AR) cr $@ $(OBJECTS)
	-$(RANLIB) $@

$(GST_TAB).h $(GST_TAB).c: gst.y
	$(BISON) -dv gst.y

gst.h: $(srcdir)/../gstconf.h
	touch gst.h

gstpub.h: gst.h
	touch gstpub.h

dict.h: dict.inl
	touch dict.h

dict.inl: memzero.h register.h
	touch dict.inl

interp.h: interp.inl
	touch interp.h

oop.h: oop.inl
	touch oop.h

dld_gst.o: dld_gst.c gst.h dld_gst.h alloc.h

dld_win32.o: dld_win32.c dld_gst.h

dld_libdl.o: dld_libdl.c dld_gst.h

dld_gnu.o: dld_gnu.c dld_gst.h

dld_hpux.o: dld_hpux.c dld_gst.h

dld_ltdl.o: dld_ltdl.c dld_gst.h

dld_none.o: dld_none.c dld_gst.h

dld_aix.o: dld_aix.c alloc.h dld_gst.h

dld_win32.o: dld_win32.c dld_gst.h

lib.o: lib.c alloc.h gst.h comp.h \
 lex.h dict.h save.h oop.h \
 lib.h cint.h callin.h sysdep.h dld_gst.h
 
$(GST_TAB).o: $(GST_TAB).c gst.h \
 sym.h tree.h dict.h interp.h \
 comp.h oop.h lex.h 

lex.o: lex.c gst.h \
 lex.h $(GST_TAB).h str.h dict.h \
 sym.h interp.h interp.inl comp.h oop.h \
 tree.h sysdep.h obstack.h

dynamic.o: dynamic.c dynamic.h gst.h alloc.h \
  byte.h comp.h interp.h oop.h obstack.h memzero.h

obstack.o: obstack.c obstack.h

alloca.o: alloca.c $(srcdir)/../gstconf.h

putenv.o: putenv.c alloc.h

str.o: str.c gst.h alloc.h obstack.h
 
alloc.o: alloc.c gst.h memzero.h sysdep.h

qsort.o: qsort.c gst.h
 
strdup.o: strdup.c gstconf.h alloc.h

strerror.o: strerror.c

strtoul.o: strtoul.c

tree.o: tree.c alloc.h gst.h \
 sym.h lex.h obstack.h
 
waitpid.o: waitpid.c alloc.h

byte.o: byte.c alloc.h gst.h \
 comp.h oop.h memzero.h
 


interp.o: interp.c alloc.h gst.h \
 lex.h dict.h sym.h lib.h byte.h register.h \
 prims.inl bytecode.inl dynamic.h
 
comp.o: comp.c alloc.h gst.h \
 interp.h oop.h lex.h 
 
sym.o: sym.c gst.h alloc.h \
 interp.h comp.h oop.h

dict.o: dict.c alloc.h gst.h \
 comp.h oop.h lex.h
 
oop.o: oop.c gst.h alloc.h oop.h \
 interp.h comp.h save.h callin.h str.h
 
save.o: save.c gst.h \
 lex.h dict.h sym.h oop.h
 
cint.o: cint.c alloc.h gst.h \
 lex.h dict.h sym.h dld_gst.h
 
sysdep.o: sysdep.c alloc.h gst.h 
 
callin.o: callin.c alloc.h gst.h \
 oop.h lex.h dict.h sym.h
 
cfuncs.o: cfuncs.c gst.h

# ci_version should be set on the command line
ci_r:
	ci -l -mVersioning "-N$(ci_version)" RCS/*

profile:
	$(MAKE) CFLAGS='$(CFLAGS) -pg -Dprofiling'


TAGS: $(SOURCES)
	etags $(SOURCES)

tags: $(SOURCES)
	ctags $(SOURCES)

install: all 
	$(INSTALL_DATA) libgst.a $(smlibdir)/libgst.a
	$(INSTALL_DATA) gst.h $(includedir)/gst.h
	$(INSTALL_DATA) gstpub.h $(includedir)/gstpub.h
	$(INSTALL_DATA) gstconf.h $(includedir)/gstconf.h

uninstall:


ls:
	@echo $(DISTFILES)

mostlyclean:
	-$(RM) *.o core gst.output libgst.a

clean: mostlyclean


distclean: clean
	-$(RM) Makefile tags TAGS

maintainer-clean:
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	$(MAKE) do-maintainer-clean

do-maintainer-clean: distclean
	-$(RM) $(GST_TAB).*

# Tell versions [3.59, 3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
